package org.gcube.application.cms.plugins.reports;

import lombok.ToString;
import org.gcube.application.cms.plugins.faults.InvalidPluginRequestException;
import org.gcube.application.cms.plugins.requests.EventExecutionRequest;
import org.gcube.application.geoportal.common.model.document.lifecycle.LifecycleInformation;

@ToString(callSuper = true)
public class EventExecutionReport extends DocumentHandlingReport<EventExecutionRequest>{

    public EventExecutionReport(EventExecutionRequest req) throws InvalidPluginRequestException {
        super(req);
        this.setToSetLifecycleInformation(theRequest.getDocument().getLifecycleInformation().cleanState());
        this.getToSetLifecycleInformation().setLastOperationStatus(LifecycleInformation.Status.OK);
    }


    @Override
    public void setToSetLifecycleInformation(LifecycleInformation toSetLifecycleInformation) {
    }

}
